ghcide-2.4.0.0: The core of an IDE

Safe Haskell | Safe-Inferred
Language | Haskell2010

Development.IDE.Types.Monitoring

Synopsis

- data Monitoring = Monitoring {
  - registerGauge :: Text -> IO Int64 -> IO ()
  - registerCounter :: Text -> IO Int64 -> IO ()
  - start :: IO (IO ())
  }

# Documentation

data Monitoring #

An abstraction for runtime monitoring inspired by the `ekg` package

Constructors

Monitoring |
Fields registerGauge :: Text -> IO Int64 -> IO () Register an integer-valued metric. registerCounter :: Text -> IO Int64 -> IO () Register a non-negative, monotonically increasing, integer-valued metric. start :: IO (IO ()) Start the monitoring system, returning an action which will stop the system.

#### Instances

Instances details

Monoid Monitoring # |
Instance details Defined in Development.IDE.Types.Monitoring Methods mempty :: Monitoring # mappend :: Monitoring -> Monitoring -> Monitoring # mconcat :: [Monitoring] -> Monitoring #
Semigroup Monitoring # |
Instance details Defined in Development.IDE.Types.Monitoring Methods (<>) :: Monitoring -> Monitoring -> Monitoring # sconcat :: NonEmpty Monitoring -> Monitoring # stimes :: Integral b => b -> Monitoring -> Monitoring #